### Property

# Adw Animation:widget

since: 1

#### Declaration

    property widget: Gtk.Widget [ read, write, construct-only ]

#### Description [src]

The animation widget.

It provides the frame clock for the animation. It’s not strictly necessary for this widget to be same as the one being animated.

The widget must be mapped in order for the animation to work. If it’s not mapped, or if it gets unmapped during an ongoing animation, the animation will be automatically skipped.

Type: | `GtkWidget`
Available since: | 1

Getter method | `adw_animation_get_widget()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes